<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = "credoth";
$file = "credoth.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "2") {
        $cond = "AND vouchno = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "1") {
        $cond = "AND vouchdt = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND descrip= '$searchTerm'";
    }
     else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND amount= '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "2") {
        $cond = "AND vouchno LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "1") {
        $cond = "AND vouchdt LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND descrip LIKE '%$searchTerm%'";
    }
    else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND amount LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY vouchno";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY vouchdt";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY descrip";
}
else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY amount";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
} 

$query = "SELECT `vouchno`, date_format(`vouchdt`, '%d-%m-%Y') as mydt ,descrip,amount FROM `$maindb` where vouchno!= ''$cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo ";
          
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $rows[] = ['success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'vouchno' => $r[$keyfld],
        'vouchdt' => $r['mydt'],
//        'invno' => $r['invno'],
//        'invdate' => $r['mydt'],
        'descrip' => $r['descrip'],
        'amount' => $r['amount'],
        'action' => "$file?mode=edit&vouchno=$r[vouchno]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
